#### PyKDE - Python Bindings for KDE

# class KMimeTypeValidator |
Table of contents
Modules
kdeui Classes
All Classes

Module | kdeui
Class | KMimeTypeValidator
Inherits | QValidator

### methods

- KMimeTypeValidator (parent, name = 0)

  returns a KMimeTypeValidator instance
  Argument | Type | Default
  --- | --- | ---
  parent | QObject |
  name | char | 0

- fixup (input)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  input | QString |

- validate (input)

  returns (State) pos (int)
  Argument | Type | Default
  --- | --- | ---
  input | QString |